libcamera v0.6.0 Supporting cameras in Linux since 2019

Loading...
Searching...
No Matches
libcamera::ipa::ipu3::IPASessionConfiguration Struct Reference

Session configuration for the IPA module. More...

Collaboration diagram for libcamera::ipa::ipu3::IPASessionConfiguration:
[legend]

## Public Attributes
struct { |
ipu3_uapi_grid_config bdsGrid |
Size bdsOutputSize |
uint32_t stride |
} | grid
| Grid configuration of the IPA.
struct { |
ipu3_uapi_grid_config afGrid |
} | af
| AF grid configuration of the IPA.
struct { |
utils::Duration minExposureTime |
utils::Duration maxExposureTime |
double minAnalogueGain |
double maxAnalogueGain |
} | agc
| AGC parameters configuration of the IPA.
struct { |
int32_t defVBlank |
utils::Duration lineDuration |
Size size |
} | sensor
| Sensor-specific configuration of the IPA.

## Detailed Description

Session configuration for the IPA module.

The session configuration contains all IPA configuration parameters that remain constant during the capture session, from IPA module start to stop. It is typically set during the configure() operation of the IPA module, but may also be updated in the start() operation.

The documentation for this struct was generated from the following files:

- src/ipa/ipu3/ipa_context.h
- src/ipa/ipu3/ipa_context.cpp